## ros-melodic-mcl-3dl-msgs 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mcl_3dl_msgs)

set(MESSAGE_DEPENDS
  std_msgs
)

find_package(catkin REQUIRED COMPONENTS message_generation ${MESSAGE_DEPENDS})

add_service_files(
  FILES
    ResizeParticle.srv
    LoadPCD.srv
)
add_message_files(
  FILES
    Status.msg
)
generate_messages(DEPENDENCIES ${MESSAGE_DEPENDS})
catkin_package(CATKIN_DEPENDS message_runtime ${MESSAGE_DEPENDS})

## ros-melodic-mcl-3dl-msgs 0.2.0

=== debian/changelog ===
ros-melodic-mcl-3dl-msgs (0.2.0-1stretch) stretch; urgency=high

  * Update assets to v0.0.6 (#11 <https://github.com/at-wat/mcl_3dl_msgs/issues/11>)
  * Update assets to v0.0.5 (#10 <https://github.com/at-wat/mcl_3dl_msgs/issues/10>)
  * Add catkin/bloom release action (#8 <https://github.com/at-wat/mcl_3dl_msgs/issues/8>)
  * Expose internal errors (#7 <https://github.com/at-wat/mcl_3dl_msgs/issues/7>)
  * Refactor CI scripts (#6 <https://github.com/at-wat/mcl_3dl_msgs/issues/6>)
  * Fix package dependencies (#5 <https://github.com/at-wat/mcl_3dl_msgs/issues/5>)
  * Add test on ROS Melodic (#4 <https://github.com/at-wat/mcl_3dl_msgs/issues/4>)
  * Contributors: Atsushi Watanabe, Daiki Maekawa

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jan 2020 00:00:00 -0000

ros-melodic-mcl-3dl-msgs (0.1.2-1stretch) stretch; urgency=high

  * Fix runtime dependency (https://github.com/at-wat/mcl_3dl_msgs/issues/3)
  * Fix package dependency (https://github.com/at-wat/mcl_3dl_msgs/issues/2)
  * Build messages and services
  * Initial drop from mcl_3dl package
  * Support variable particle size (https://github.com/at-wat/mcl_3dl/issues/78)
    
      * Support variable particle size.
      * Add service to change particle size.
      * Add test for resizeParticle.
    
  * Add localization status output (https://github.com/at-wat/mcl_3dl/issues/120)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 12 Jun 2018 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-mcl-3dl-msgs
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-mcl-3dl-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: The mcl_3dl message definition package

## ros-melodic-mcl-3dl-msgs 0.6.0

=== debian/changelog ===
ros-melodic-mcl-3dl-msgs (0.6.0-1bionic) bionic; urgency=high

  * Add LoadPCD.srv (#30 <https://github.com/at-wat/mcl_3dl_msgs/issues/30>)
  * Update assets to v0.3.1 (#31 <https://github.com/at-wat/mcl_3dl_msgs/issues/31>)
  * Update assets to v0.3.0 (#29 <https://github.com/at-wat/mcl_3dl_msgs/issues/29>)
  * Update assets to v0.2.0 (#28 <https://github.com/at-wat/mcl_3dl_msgs/issues/28>)
  * Update assets to v0.1.5 (#27 <https://github.com/at-wat/mcl_3dl_msgs/issues/27>)
  * Update assets to v0.1.4 (#26 <https://github.com/at-wat/mcl_3dl_msgs/issues/26>)
  * Update assets to v0.1.3 (#25 <https://github.com/at-wat/mcl_3dl_msgs/issues/25>)
  * Update dockerignore (#24 <https://github.com/at-wat/mcl_3dl_msgs/issues/24>)
  * Add LICENSE file (#23 <https://github.com/at-wat/mcl_3dl_msgs/issues/23>)
  * Update assets to v0.1.2 (#21 <https://github.com/at-wat/mcl_3dl_msgs/issues/21>)
  * Migrate to GitHub Actions (#19 <https://github.com/at-wat/mcl_3dl_msgs/issues/19>)
  * Update assets to v0.0.10 (#18 <https://github.com/at-wat/mcl_3dl_msgs/issues/18>)
  * Update assets to v0.0.9 (#16 <https://github.com/at-wat/mcl_3dl_msgs/issues/16>)
  * Update CI scripts (#17 <https://github.com/at-wat/mcl_3dl_msgs/issues/17>)
  * Update assets to v0.0.8 (#14 <https://github.com/at-wat/mcl_3dl_msgs/issues/14>)
  * Update assets to v0.0.7 (#13 <https://github.com/at-wat/mcl_3dl_msgs/issues/13>)
  * Contributors: Atsushi Watanabe, Remco

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 12 May 2021 00:00:00 -0000

ros-melodic-mcl-3dl-msgs (0.2.0-1bionic) bionic; urgency=high

  * Update assets to v0.0.6 (#11 <https://github.com/at-wat/mcl_3dl_msgs/issues/11>)
  * Update assets to v0.0.5 (#10 <https://github.com/at-wat/mcl_3dl_msgs/issues/10>)
  * Add catkin/bloom release action (#8 <https://github.com/at-wat/mcl_3dl_msgs/issues/8>)
  * Expose internal errors (#7 <https://github.com/at-wat/mcl_3dl_msgs/issues/7>)
  * Refactor CI scripts (#6 <https://github.com/at-wat/mcl_3dl_msgs/issues/6>)
  * Fix package dependencies (#5 <https://github.com/at-wat/mcl_3dl_msgs/issues/5>)
  * Add test on ROS Melodic (#4 <https://github.com/at-wat/mcl_3dl_msgs/issues/4>)
  * Contributors: Atsushi Watanabe, Daiki Maekawa

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jan 2020 00:00:00 -0000

ros-melodic-mcl-3dl-msgs (0.1.2-1bionic) bionic; urgency=high

  * Fix runtime dependency (https://github.com/at-wat/mcl_3dl_msgs/issues/3)
  * Fix package dependency (https://github.com/at-wat/mcl_3dl_msgs/issues/2)
  * Build messages and services
  * Initial drop from mcl_3dl package
  * Support variable particle size (https://github.com/at-wat/mcl_3dl/issues/78)
    
      * Support variable particle size.
      * Add service to change particle size.
      * Add test for resizeParticle.
    
  * Add localization status output (https://github.com/at-wat/mcl_3dl/issues/120)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 12 Jun 2018 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mcl-3dl-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
